Hi, I am creating a block within my routine rather than inserting from our network. This works somewhat. The program I have written is a LISP file with many routines within it. One of those routines is the one which creates the block. It works great when I create a snub routine to it and call it. When it runs within my whole program, it errors on the creation of its first entity (a circle). ;SNUB (MAKE_SOME_BLK) ;ROUTINE (defun MAKE_SOME_BLK () (vl-load-com) (setq BLKN "SomeBlkName") (setq BLKCOLL (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))) (setq PT0 (vlax-3D-point '(0.0 0.0 0.0))) (setq BLKBAL (vla-add BLKCOLL PT0 BLKN)) (setq CIRCR 7.5) (setq CIR (vla-addCircle BLKBAL PT0 CIRCR)) ) It breaks on the vla-addCircle call. I checked and the variable names are not used elsewhere. Maybe I am too used to VB rather than VLISP. Does anyone have a suggestion to what I am doing wrong? Thanks JRWalker